## ros-melodic-moveit-ros-visualization 1.0.7

=== debian/changelog ===
ros-melodic-moveit-ros-visualization (1.0.7-1stretch) stretch; urgency=high

  * [feature] Clean up Rviz Motion Planning plugin, add tooltips (#2310 <https://github.com/ros-planning/moveit/issues/2310>)
  * [fix] Fix "Clear Octomap" button, disable when no octomap is published (#2320 <https://github.com/ros-planning/moveit/issues/2320>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.6-1stretch) stretch; urgency=high

  * [feature] MP display: add units to joints tab (#2264 <https://github.com/ros-planning/moveit/issues/2264>)
  * [feature] Allow adding planning scene shapes from rviz panel (#2198 <https://github.com/ros-planning/moveit/issues/2198>)
  * [feature] Default to Planning tab initially (#2061 <https://github.com/ros-planning/moveit/issues/2061>)
  * [fix]     Fix deferred robot model loading (#2245 <https://github.com/ros-planning/moveit/issues/2245>)
  * [maint]   Migrate to clang-format-10
  * [maint]   Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Jorge Nicho, Markus Vieth, Michael Görner, Robert Haschke, Michael Görner

 -- Jon Binney <jon.binney@gmail.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.5-1stretch) stretch; urgency=high

  * [feature] Improve rviz GUI to add PlanningScene objects. Ask for scaling large meshes. (#2142 <https://github.com/ros-planning/moveit/issues/2142>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [maint]   Fix catkin_lint issues (#2120 <https://github.com/ros-planning/moveit/issues/2120>)
  * [feature] PlanningSceneDisplay speedup (#2049 <https://github.com/ros-planning/moveit/issues/2049>)
  * [feature] Added support for PS4 joystick (#2060 <https://github.com/ros-planning/moveit/issues/2060>)
  * [fix]     MP display: planning attempts are natural numbers (#2076 <https://github.com/ros-planning/moveit/issues/2076>, #2082 <https://github.com/ros-planning/moveit/issues/2082>)
  * Contributors: Felix von Drigalski, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Simon Schmeisser, TrippleBender

 -- Jon Binney <jon.binney@gmail.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.4-1stretch) stretch; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.3-1stretch) stretch; urgency=high

  * [fix]     MotionPlanningDisplay: change internal shortcut Ctrl+R to Ctrl+I (#1967 <https://github.com/ros-planning/moveit/issues/1967>)
  * [fix]     Remove PlanningSceneInterface from rviz display, but use its PlanningSceneMonitor instead
  * [fix]     Fix segfault in RobotStateVisualization (#1941 <https://github.com/ros-planning/moveit/issues/1941>)
  * [feature] Provide visual feedback on success of requestPlanningSceneState()
  * [feature] Wait for get_planning_scene in background (#1934 <https://github.com/ros-planning/moveit/issues/1934>)
  * [feature] Reduce step size for pose-adapting widgets
  * [fix]     Reset scene_marker when disabling motion planning panel
  * [fix]     Enable/disable motion planning panel with display
  * [fix]     Enable/disable pose+scale group box when collision object is selected/deselected
  * [fix]     Correctly populate the list of scene objects in the motion planning panel
  * [feature] Resize scene marker with collision object
  * [feature] Show attached bodies in trajectory trail (#1766 <https://github.com/ros-planning/moveit/issues/1766>)
  * [fix]     Fix REALTIME trajectory playback (#1683 <https://github.com/ros-planning/moveit/issues/1683>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Notice changes in rviz planning panel requiring saving (#1991 <https://github.com/ros-planning/moveit/issues/1991>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Improve Python 3 compatibility (#1870 <https://github.com/ros-planning/moveit/issues/1870>)
    * Replaced StringIO with BytesIO for python msg serialization
    * Use py_bindings_tools::ByteString as byte-based serialization buffer on C++ side
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]     Fix pruning of enclosed nodes when rendering octomap in RViz (#1685 <https://github.com/ros-planning/moveit/issues/1685>)
  * [fix]     Fix missing scene_manager initialization in OcTreeRender's  constructor (#1817 <https://github.com/ros-planning/moveit/issues/1817>)
  * [feature] new Joints tab in RViz motion panel (#1308 <https://github.com/ros-planning/moveit/issues/1308>)
  * [feature] Add <previous> robot state to RViz motion panel (#1742 <https://github.com/ros-planning/moveit/issues/1742>)
  * Contributors: Bjar Ne, Dale Koenig, MarqRazz, Max Krichenbauer, Michael Görner, Robert Haschke, RyodoTanaka, Sean Yen, Takara Kasai, Yannick Jonetzko, Yu, Yan, v4hn

 -- Jon Binney <jon.binney@gmail.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.2-1stretch) stretch; urgency=high

  * [maintenance] Removed unnecessary null pointer checks on deletion (#1410 <https://github.com/ros-planning/moveit/issues/1410>)
  * Contributors: Mahmoud Ahmed Selim

 -- Jon Binney <jon.binney@gmail.com>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.1-1stretch) stretch; urgency=high


