=== debian/control ===
Source: ros-melodic-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Jon Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-geometric-shapes, ros-melodic-interactive-markers, ros-melodic-moveit-ros-perception, ros-melodic-moveit-ros-planning-interface, ros-melodic-moveit-ros-robot-interaction, ros-melodic-moveit-ros-warehouse, ros-melodic-object-recognition-msgs, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-rviz, ros-melodic-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometric-shapes, ros-melodic-interactive-markers, ros-melodic-moveit-ros-perception, ros-melodic-moveit-ros-planning-interface, ros-melodic-moveit-ros-robot-interaction, ros-melodic-moveit-ros-warehouse, ros-melodic-object-recognition-msgs, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rviz, ros-melodic-tf2-eigen
Description: Components of MoveIt! that offer visualization
