## ros-melodic-moveit-ros-visualization 1.0.11

=== debian/changelog ===
ros-melodic-moveit-ros-visualization (1.0.11-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.10-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.9-1bionic) bionic; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Contributors: Michael Görner, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.8-1bionic) bionic; urgency=high

  * Remove unused model_is_loading_
  * Fix deadlock in PlanningSceneDisplay
  * Call renderPlanningScene() only if planning_scene_render_ is valid
  * Keep MotionPlanningFrame hidden on Display::reset()
  * Catch exceptions during RobotModel loading in rviz (#2468 <https://github.com/ros-planning/moveit/issues/2468>)
  * Fix QObject::connect: Cannot queue arguments of type 'QVector<int>' (#2392 <https://github.com/ros-planning/moveit/issues/2392>)
  * Contributors: Robert Haschke, Simon Schmeisser, Tyler Weaver

 -- Jon Binney <jon.binney@gmail.com>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.7-1bionic) bionic; urgency=high

  * [feature] Clean up Rviz Motion Planning plugin, add tooltips (#2310 <https://github.com/ros-planning/moveit/issues/2310>)
  * [fix] Fix "Clear Octomap" button, disable when no octomap is published (#2320 <https://github.com/ros-planning/moveit/issues/2320>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.6-1bionic) bionic; urgency=high

  * [feature] MP display: add units to joints tab (#2264 <https://github.com/ros-planning/moveit/issues/2264>)
  * [feature] Allow adding planning scene shapes from rviz panel (#2198 <https://github.com/ros-planning/moveit/issues/2198>)
  * [feature] Default to Planning tab initially (#2061 <https://github.com/ros-planning/moveit/issues/2061>)
  * [fix]     Fix deferred robot model loading (#2245 <https://github.com/ros-planning/moveit/issues/2245>)
  * [maint]   Migrate to clang-format-10
  * [maint]   Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Jorge Nicho, Markus Vieth, Michael Görner, Robert Haschke, Michael Görner

 -- Jon Binney <jon.binney@gmail.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.5-1bionic) bionic; urgency=high

  * [feature] Improve rviz GUI to add PlanningScene objects. Ask for scaling large meshes. (#2142 <https://github.com/ros-planning/moveit/issues/2142>)
  * [maint]   Replace robot_model and robot_state namespaces with moveit::core (#2135 <https://github.com/ros-planning/moveit/issues/2135>)
  * [maint]   Fix catkin_lint issues (#2120 <https://github.com/ros-planning/moveit/issues/2120>)
  * [feature] PlanningSceneDisplay speedup (#2049 <https://github.com/ros-planning/moveit/issues/2049>)
  * [feature] Added support for PS4 joystick (#2060 <https://github.com/ros-planning/moveit/issues/2060>)
  * [fix]     MP display: planning attempts are natural numbers (#2076 <https://github.com/ros-planning/moveit/issues/2076>, #2082 <https://github.com/ros-planning/moveit/issues/2082>)
  * Contributors: Felix von Drigalski, Henning Kayser, Jafar Abdi, Michael Görner, Robert Haschke, Simon Schmeisser, TrippleBender

 -- Jon Binney <jon.binney@gmail.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.4-1bionic) bionic; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-ros-visualization (1.0.3-1bionic) bionic; urgency=high

  * [fix]     MotionPlanningDisplay: change internal shortcut Ctrl+R to Ctrl+I (#1967 <https://github.com/ros-planning/moveit/issues/1967>)
  * [fix]     Remove PlanningSceneInterface from rviz display, but use its PlanningSceneMonitor instead
  * [fix]     Fix segfault in RobotStateVisualization (#1941 <https://github.com/ros-planning/moveit/issues/1941>)
  * [feature] Provide visual feedback on success of requestPlanningSceneState()
  * [feature] Wait for get_planning_scene in background (#1934 <https://github.com/ros-planning/moveit/issues/1934>)
  * [feature] Reduce step size for pose-adapting widgets
  * [fix]     Reset scene_marker when disabling motion planning panel
  * [fix]     Enable/disable motion planning panel with display
  * [fix]     Enable/disable pose+scale group box when collision object is selected/deselected
  * [fix]     Correctly populate the list of scene objects in the motion planning panel
  * [feature] Resize scene marker with collision object
  * [feature] Show attached bodies in trajectory trail (#1766 <https://github.com/ros-planning/moveit/issues/1766>)
  * [fix]     Fix REALTIME trajectory playback (#1683 <https://github.com/ros-planning/moveit/issues/1683>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Notice changes in rviz planning panel requiring saving (#1991 <https://github.com/ros-planning/moveit/issues/1991>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Improve Python 3 compatibility (#1870 <https://github.com/ros-planning/moveit/issues/1870>)
    * Replaced StringIO with BytesIO for python msg serialization
    * Use py_bindings_tools::ByteString as byte-based serialization buffer on C++ side
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)

