=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Jon Binney <jon.binney@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-geometric-shapes, ros-melodic-interactive-markers, ros-melodic-moveit-ros-perception, ros-melodic-moveit-ros-planning-interface, ros-melodic-moveit-ros-robot-interaction, ros-melodic-moveit-ros-warehouse, ros-melodic-object-recognition-msgs, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-rviz, ros-melodic-tf2-eigen
+Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-geometric-shapes, ros-melodic-interactive-markers, ros-melodic-moveit-ros-perception, ros-melodic-moveit-ros-planning-interface, ros-melodic-moveit-ros-robot-interaction, ros-melodic-moveit-ros-warehouse, ros-melodic-object-recognition-msgs, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest <!nocheck>, ros-melodic-rviz, ros-melodic-tf2-eigen
 Homepage: http://moveit.ros.org
 Standards-Version: 3.9.2
